pcl::registration::MatchingCandidate Struct Reference

Container for matching candidate consisting of. More...

`#include <pcl/registration/matching_candidate.h>`

## Public Member Functions

| MatchingCandidate ()
| Constructor. More...
| MatchingCandidate (float s, const pcl::Correspondences &c, const Eigen::Matrix4f &m)
| Value constructor. More...
| ~MatchingCandidate ()
| Destructor. More...

## Public Attributes

float | fitness_score
| Fitness score of current candidate resulting from matching algorithm. More...
pcl::Correspondences | correspondences
| Correspondences between source <-> target. More...
Eigen::Matrix4f | transformation
| Corresponding transformation matrix retrieved using corrs. More...

## Detailed Description

Container for matching candidate consisting of.

- fitness score value as a result of the matching algorithm
- correspondences between source and target data set
- transformation matrix calculated based on the correspondences

Definition at line 55 of file matching_candidate.h.

## Constructor & Destructor Documentation

## MatchingCandidate() [1/2]

pcl::registration::MatchingCandidate::MatchingCandidate | ( |  | ) |

inline

Constructor.

Definition at line 58 of file matching_candidate.h.

## MatchingCandidate() [2/2]

pcl::registration::MatchingCandidate::MatchingCandidate | ( | float | s,
|  | const pcl::Correspondences & | c,
|  | const Eigen::Matrix4f & | m
| ) |  |

inline

Value constructor.

Definition at line 64 of file matching_candidate.h.

## ~MatchingCandidate()

pcl::registration::MatchingCandidate::~MatchingCandidate | ( |  | ) |

inline

Destructor.

Definition at line 71 of file matching_candidate.h.

## Member Data Documentation

## correspondences

pcl::Correspondences pcl::registration::MatchingCandidate::correspondences

Correspondences between source <-> target.

Definition at line 79 of file matching_candidate.h.

## fitness_score

float pcl::registration::MatchingCandidate::fitness_score

Fitness score of current candidate resulting from matching algorithm.

Definition at line 72 of file matching_candidate.h.

Referenced by pcl::registration::by_score::operator()().

## transformation

Eigen::Matrix4f pcl::registration::MatchingCandidate::transformation

Corresponding transformation matrix retrieved using corrs.

Definition at line 82 of file matching_candidate.h.

The documentation for this struct was generated from the following file:

- pcl/registration/matching_candidate.h